org.eclipse.rdf4j.model.impl

## Class LiteralImpl

- java.lang.Object
- - org.eclipse.rdf4j.model.base.AbstractLiteral
  - - org.eclipse.rdf4j.model.impl.SimpleLiteral
    - - org.eclipse.rdf4j.model.impl.LiteralImpl

- All Implemented Interfaces:
    Serializable, Literal, Value

  Deprecated.
  since 2.0. Use `SimpleLiteral` for extending, and instantiate using a `ValueFactory`.

      @Deprecated
      public class LiteralImpl
      extends SimpleLiteral

  Author:
    Jeen Broekstra
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LiteralImpl(String label)` Deprecated. since 2.0. Use `ValueFactory.createLiteral(String)` instead.
    `LiteralImpl(String label, String language)` Deprecated. since 2.0. Use `ValueFactory.createLiteral(String, String)` instead.
    `LiteralImpl(String label, URI datatype)` Deprecated. since 2.0. Use `ValueFactory.createLiteral(String, IRI)` instead.

  - ### Method Summary

    - ### Methods inherited from class org.eclipse.rdf4j.model.impl.SimpleLiteral

      `booleanValue, byteValue, calendarValue, decimalValue, doubleValue, equals, floatValue, getDatatype, getLabel, getLanguage, getXsdDatatype, hashCode, integerValue, intValue, longValue, setDatatype, setDatatype, setLabel, setLanguage, shortValue, stringValue, toString`

    - ### Methods inherited from class org.eclipse.rdf4j.model.base.AbstractLiteral

      `temporalAccessorValue, temporalAmountValue`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.rdf4j.model.Literal

      `isLiteral`

    - ### Methods inherited from interface org.eclipse.rdf4j.model.Value

      `isBNode, isIRI, isResource, isTriple`

- - ### Constructor Detail

    - #### LiteralImpl

          @Deprecated
          public LiteralImpl(String label)

      Deprecated. since 2.0. Use `ValueFactory.createLiteral(String)` instead.

    - #### LiteralImpl

          @Deprecated
          public LiteralImpl(String label,
                                         String language)

      Deprecated. since 2.0. Use `ValueFactory.createLiteral(String, String)` instead.

    - #### LiteralImpl

          @Deprecated
          public LiteralImpl(String label,
                                         URI datatype)

      Deprecated. since 2.0. Use `ValueFactory.createLiteral(String, IRI)` instead.

Copyright © 2015-2020 Eclipse Foundation. All Rights Reserved.